=== resources/forms/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    blackoutWidget.ui
    brushProperties.ui
    capturePublishing.ui
    CMakeLists.txt
    documents.ui
    intranetPodcastPublishingDialog.ui
    mainWindow.ui
    preferences.ui
    trapFlash.ui
    youTubePublishingDialog.ui
)
