=== src/adaptors/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBCFFSubsetAdaptor.cpp
    UBCFFSubsetAdaptor.h
    UBExportAdaptor.cpp
    UBExportAdaptor.h
    UBExportCFF.cpp
    UBExportCFF.h
    UBExportDocument.cpp
    UBExportDocument.h
    UBExportDocumentSetAdaptor.cpp
    UBExportDocumentSetAdaptor.h
    UBExportFullPDF.cpp
    UBExportFullPDF.h
    UBExportPDF.cpp
    UBExportPDF.h
    UBExportWeb.cpp
    UBExportWeb.h
    UBImportAdaptor.cpp
    UBImportAdaptor.h
    UBImportCFF.cpp
    UBImportCFF.h
    UBImportDocument.cpp
    UBImportDocument.h
    UBImportDocumentSetAdaptor.cpp
    UBImportDocumentSetAdaptor.h
    UBImportImage.cpp
    UBImportImage.h
    UBImportPDF.cpp
    UBImportPDF.h
    UBMetadataDcSubsetAdaptor.cpp
    UBMetadataDcSubsetAdaptor.h
    UBSvgSubsetAdaptor.cpp
    UBSvgSubsetAdaptor.h
    UBThumbnailAdaptor.cpp
    UBThumbnailAdaptor.h
    UBWidgetUpgradeAdaptor.cpp
    UBWidgetUpgradeAdaptor.h
)
