=== src/board/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBBoardController.cpp
    UBBoardController.h
    UBBoardPaletteManager.cpp
    UBBoardPaletteManager.h
    UBBoardView.cpp
    UBBoardView.h
    UBDrawingController.cpp
    UBDrawingController.h
    UBFeaturesController.cpp
    UBFeaturesController.h
)
