=== src/core/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    main.cpp
    UB.h
    UBApplication.cpp
    UBApplication.h
    UBApplicationController.cpp
    UBApplicationController.h
    UBDisplayManager.cpp
    UBDisplayManager.h
    UBDocumentManager.cpp
    UBDocumentManager.h
    UBDownloadManager.cpp
    UBDownloadManager.h
    UBDownloadThread.cpp
    UBDownloadThread.h
    UBForeignObjectsHandler.cpp
    UBForeignObjectsHandler.h
    UBIdleTimer.cpp
    UBIdleTimer.h
    UBMimeData.cpp
    UBMimeData.h
    UBPersistenceManager.cpp
    UBPersistenceManager.h
    UBPersistenceWorker.cpp
    UBPersistenceWorker.h
    UBPreferencesController.cpp
    UBPreferencesController.h
    UBSceneCache.cpp
    UBSceneCache.h
    UBSetting.cpp
    UBSetting.h
    UBSettings.cpp
    UBSettings.h
    UBShortcutManager.cpp
    UBShortcutManager.h
    UBTextTools.cpp
    UBTextTools.h
)
