=== src/desktop/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBCustomCaptureWindow.cpp
    UBCustomCaptureWindow.h
    UBDesktopAnnotationController.cpp
    UBDesktopAnnotationController.h
    UBDesktopPalette.cpp
    UBDesktopPalette.h
    UBDesktopPropertyPalette.cpp
    UBDesktopPropertyPalette.h
)
