=== src/domain/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBGraphicsDelegateFrame.cpp
    UBGraphicsDelegateFrame.h
    UBGraphicsGroupContainerItem.cpp
    UBGraphicsGroupContainerItem.h
    UBGraphicsGroupContainerItemDelegate.cpp
    UBGraphicsGroupContainerItemDelegate.h
    UBGraphicsItemDelegate.cpp
    UBGraphicsItemDelegate.h
    UBGraphicsItemGroupUndoCommand.cpp
    UBGraphicsItemGroupUndoCommand.h
    UBGraphicsItemTransformUndoCommand.cpp
    UBGraphicsItemTransformUndoCommand.h
    UBGraphicsItemUndoCommand.cpp
    UBGraphicsItemUndoCommand.h
    UBGraphicsItemZLevelUndoCommand.cpp
    UBGraphicsItemZLevelUndoCommand.h
    UBGraphicsMediaItem.cpp
    UBGraphicsMediaItem.h
    UBGraphicsMediaItemDelegate.cpp
    UBGraphicsMediaItemDelegate.h
    UBGraphicsPDFItem.cpp
    UBGraphicsPDFItem.h
    UBGraphicsPixmapItem.cpp
    UBGraphicsPixmapItem.h
    UBGraphicsPolygonItem.cpp
    UBGraphicsPolygonItem.h
    UBGraphicsScene.cpp
    UBGraphicsScene.h
    UBGraphicsStroke.cpp
    UBGraphicsStroke.h
    UBGraphicsStrokesGroup.cpp
    UBGraphicsStrokesGroup.h
    UBGraphicsSvgItem.cpp
    UBGraphicsSvgItem.h
    UBGraphicsTextItem.cpp
    UBGraphicsTextItem.h
    UBGraphicsTextItemDelegate.cpp
    UBGraphicsTextItemDelegate.h
    UBGraphicsTextItemUndoCommand.cpp
    UBGraphicsTextItemUndoCommand.h
    UBGraphicsWidgetItem.cpp
    UBGraphicsWidgetItem.h
    UBGraphicsWidgetItemDelegate.cpp
    UBGraphicsWidgetItemDelegate.h
    UBItem.cpp
    UBItem.h
    UBPageSizeUndoCommand.cpp
    UBPageSizeUndoCommand.h
    UBResizableGraphicsItem.cpp
    UBResizableGraphicsItem.h
    UBSelectionFrame.cpp
    UBSelectionFrame.h
    UBUndoCommand.cpp
    UBUndoCommand.h
    UBWebEngineView.cpp
    UBWebEngineView.h
)
