## openboard 1.5.1+dfsg1

=== debian/changelog ===
openboard (1.5.1+dfsg1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Disable automatic dbgsym packages.
  * Add debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 12 Jun 2019 12:40:09 -0700

openboard (1.5.1+dfsg1-1~0deb9+itzks2) stretch; urgency=medium

  * Initial release to Debian. (Closes: #882584).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 07 Jan 2019 15:05:00 +0100
