=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


include /usr/share/dpkg/pkg-info.mk

NULL =
PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE = +dfsg1
VER  ?= $(subst $(DTYPE),,$(UVER))

include /usr/share/dpkg/architecture.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

QMAKE=/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/bin/qmake
DEB_DH_STRIP_ARGS := --no-automatic-dbgsym

post-patches::
	/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/bin/lrelease OpenBoard.pro

install/openboard-common::
	# generate desktop icons of different sizes
	for dim in 16 22 32 48 64; do mkdir -p "debian/tmp/usr/share/icons/hicolor/$${dim}x$${dim}/apps/"; convert -scale "$${dim}x$${dim}" "$(CURDIR)/resources/images/OpenBoard.png" "debian/tmp/usr/share/icons/hicolor/$${dim}x$${dim}/apps/openboard.png"; done
	# symlinking hack... this is a temporary solution...
	# it seems dh_link cannot handle white-space in pathnames appropriately,
	# so finally, we need to move openboard-common.links into debian/rules...
	mv debian/tmp/usr/share/openboard/library/search/Data\ AbulEdu.wgs				debian/tmp/usr/share/openboard/library/search/Data_AbulEdu.wgs
	mv debian/tmp/usr/share/openboard/library/interactivities/Ass\ audio.wgt			debian/tmp/usr/share/openboard/library/interactivities/Ass_audio.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Ass\ images.wgt			debian/tmp/usr/share/openboard/library/interactivities/Ass_images.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Cat\ pict.wgt				debian/tmp/usr/share/openboard/library/interactivities/Cat_pict.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Cat\ text.wgt				debian/tmp/usr/share/openboard/library/interactivities/Cat_text.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Magic\ Box.wgt			debian/tmp/usr/share/openboard/library/interactivities/Magic_Box.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Order\ Letters.wgt			debian/tmp/usr/share/openboard/library/interactivities/Order_Letters.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Order\ Pictures.wgt			debian/tmp/usr/share/openboard/library/interactivities/Order_Pictures.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Order\ Sentence.wgt			debian/tmp/usr/share/openboard/library/interactivities/Order_Sentence.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Order\ Words.wgt			debian/tmp/usr/share/openboard/library/interactivities/Order_Words.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Split\ Sentence.wgt			debian/tmp/usr/share/openboard/library/interactivities/Split_Sentence.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Split\ Text.wgt			debian/tmp/usr/share/openboard/library/interactivities/Split_Text.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Tic\ Tac\ Toe.wgt			debian/tmp/usr/share/openboard/library/interactivities/Tic_Tac_Toe.wgt

clean::
	-rm .qmake.stash
	-rm -R build/
	-rm -R debug/
	-rm -R release/
	-rm resources/i18n/*.qm

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	    && $(RM) -r -v \
	    resources/customizations/ \
	    resources/macx/ \
	    resources/fonts/ \
	    resources/linux/ \
	    resources/win/ \
	    resources/windows/ \
	    release_scripts/ \
	    $(NULL)
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"
