## openboard 1.5.4+dfsg1

=== debian/changelog ===
openboard (1.5.4+dfsg1-2+deb11u1) bullseye; urgency=medium

  * debian/openboard-common.install:
    + Install OpenBoard.png icon to /usr/share/pixmaps/.
  * debian/openboard.desktop:
    + Use OpenBoard.png icon from /usr/share/pixmaps/. (Closes: #989658).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 21 Feb 2022 13:06:58 +0100

openboard (1.5.4+dfsg1-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 21:58:43 +0100

openboard (1.5.4+dfsg1-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #882584).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Dec 2020 12:08:30 +0000
