=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg1//,filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/OpenBoard-$1.tar.gz/ \
https://github.com/OpenBoard-org/OpenBoard/tags .*/archive/v?([\d\.]+).tar.gz
