## openboard 1.6.1%2Bdfsg2

=== debian/changelog ===
openboard (1.6.1+dfsg2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Mar 2022 10:04:42 +0100

openboard (1.6.1+dfsg2-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * Re-create orig tarball, this time without ASCII files in
    DOS text format. (DOS text files cause problems with quilt
    based patching).
  * debian/rules:
    + Convert ASCII text files with DOS line endings to files with UNIX
      line endings.
  * debian/openboard-common.install:
    + Install OpenBoard.png icon to /usr/share/pixmaps/.
  * debian/openboard.desktop:
    + Use OpenBoard.png icon from /usr/share/pixmaps/. (Closes: #989658).
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

  * These changes already appeared pre-maturely in 1.6.1+dfsg1-1:
    + debian/upstream/metadata: Add file. Comply with DEP-12.
    + debian/: Add package maintainer's OpenBoard man page.
    + debian/openboard-common.lintian-overrides: Override
      package-contains-documentation-outside-usr-share-doc reports
      for various files.

  [ Jeremy Bicha ]
  * debian/patches:
    + Add 2010_fix-poppler22-build.patch. Enforce C++-17 standard. (Closes:
      #1005179).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Feb 2022 12:57:00 +0100

openboard (1.6.1+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Sep 2021 12:42:45 +0200

openboard (1.6.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in template/reference file.
    + Update copyright attributions.
  * debian/patches:
    + Update 1000_fix-quazip-includes.patch.
    + Update 1000_rewrite-libs-pri.patch.
    + Drop 1003_build-against-poppler.patch- Poppler support now provided by
      upstream.
    + Trivial rebase of 1004_fix-installation-paths-on-Linux.patch,
      1006_fix-stencil-color.patch, 1008_fix-bashism-in-podcast-pri.patch,
      1009_various-typo-fixes.patch, and 2004_fdk-aac-is-non-free.patch.
    + Drop 1007_QtWebKitWidgets.patch. Applied upstream.
    + Update 2005_no-Check-Update.patch.
    + Drop 2006_no-Ubuntu-fonts.patch.
    + Rename 2009_no-or-updated-font-credits.patch to
      2009_drop-credits-for-addon-code.patch and drop all credits to external
      files. Most of them have been removed and in Debian we use d/copyright
      for such kind of documentation.
  * debian/rules:
    + Drop Papier.wgt from OpenBoard list of applications. Contains minified .js
      code and need to be tested on Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 12 Sep 2021 22:09:34 +0200

openboard (1.5.4+dfsg1-3) unstable; urgency=medium

  * debian/watch:
    + Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 14:54:26 +0200
