## openboard 1.6.1+dfsg2

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
- Benjamin Schlüter <bschlueter@posteo.de>,
 Build-Depends: cdbs,
                debhelper (>= 10),
                dpkg-dev (>= 1.16.1.1),
+               grunt,
                imagemagick,
                libasound2-dev,
                libass-dev,
@@ -19,10 +19,10 @@
                libmp3lame-dev,
                libopus-dev,
                libogg-dev,
+               libpoppler-cpp-dev,
                libpoppler-private-dev,
                libpoppler-dev,
                libquazip5-dev,
-               libquazip-headers,
                libqt5svg5-dev,
                libqt5webkit5-dev,
                libqt5xmlpatterns5-dev,
@@ -34,8 +34,13 @@
                libvorbis-dev,
                libvpx-dev,
                libx264-dev,
+               libxcb-shape0-dev,
+               libxcb-render0-dev,
                libxcb-shm0-dev,
+               libxcb-xfixes0-dev,
                lsb-release,
+               node-grunt-contrib-uglify,
+               node-grunt-contrib-concat,
                qt5-qmake,
                qtbase5-dev,
                qtmultimedia5-dev,
@@ -43,7 +48,8 @@
                qttools5-dev-tools,
                qttools5-private-dev,
                zlib1g-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/openboard.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/openboard
 Homepage: https://github.com/OpenBoard-org/OpenBoard
@@ -53,9 +59,9 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          openboard-common (>= ${source:Version}),
-         fonts-ecolier-court,
-         fonts-ecolier-lignes-court,
-         fonts-sil-andika,
+Breaks: openboard-common (<< 1.5.3-1~),
+Replaces: openboard-common (<< 1.5.3-1~),
+Suggests: openboard-contrib,
 Description: Interactive White Board Application
  OpenBoard is an open source cross-platform interactive white board
  application designed primarily for use in schools.
@@ -67,12 +73,15 @@
 Architecture: all
 Depends: ${misc:Depends},
  libjs-jquery,
- libjs-jquery-colorpicker,
- libjs-jquery-easing,
  libjs-jquery-i18n-properties,
  libjs-jquery-ui,
  libjs-modernizr,
  libjs-mustache,
+ fonts-ecolier-court,
+ fonts-ecolier-lignes-court,
+ fonts-sil-andika,
+Recommends:
+ fonts-linex,
 Description: Interactive White Board Application (common files)
  OpenBoard is an open source cross-platform interactive white board
  application designed primarily for use in schools.
@@ -81,3 +90,19 @@
  Uniboard.
  .
  This package contains all architecture independent files.
+
+Package: openboard-contrib
+Section: contrib/x11
+Architecture: all
+Depends: ${misc:Depends},
+Recommends: openboard-fonts-nonfree,
+Description: Interactive White Board Application (contrib extras, metapackage)
+ OpenBoard is an open source cross-platform interactive white board
+ application designed primarily for use in schools.
+ .
+ It was originally forked from Open-Sankoré, which was itself based on
+ Uniboard.
+ .
+ This package pulls in some contributions that are nice to have in
+ OpenBoard, but have problematic licenses (and are, thus, shipped
+ as part of Debian non-free).
