=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
 PKG   = $(DEB_SOURCE)
 UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
-DTYPE = +dfsg1
+DTYPE = +dfsg2
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 include /usr/share/dpkg/architecture.mk
@@ -98,6 +98,7 @@
 	    resources/library/applications/GeoInfo.wgt/ \
 	    resources/library/applications/Notes.wgt/ \
 	    resources/library/applications/OpenStreetMap.wgt/ \
+	    resources/library/applications/Papier.wgt/ \
 	    resources/library/applications/QR-Code.wgt/ \
 	    resources/library/applications/Stopwatch.wgt/ \
 	    resources/library/applications/iCell.wgt/ \
@@ -162,13 +163,10 @@
 	cd $(PKG)-$(VER) \
 	    && mkdir -p resources/customizations/fonts/ \
 	    && touch resources/customizations/fonts/.placeholder
+	cd $(PKG)-$(VER) \
+	    && find . | while read file; do file $$file; done | grep "ASCII text" | grep "with CRLF" | cut -d ":" -f1 | \
+	       while read dosfile; do sed -i "$$dosfile" -e 's/\r//'; done
 	cd $(PKG)-$(VER)/resources/library && \
 	    echo -e "#!/bin/bash\n" > ../../fix-library-foldernames-with-blanks.sh && \
 	    find . -type d -name "* *" | while read dir; do \
 	        mv "$$dir" "$${dir//\ /_}"; \
-	        echo "mv \"$${dir//\ /_}\" \"$$dir\"" >> ../../fix-library-foldernames-with-blanks.sh; \
-	        chmod a+x ../../fix-library-foldernames-with-blanks.sh; \
-	    done
-	$(RM) -v $(PKG)_$(VER).orig.tar.*
-	@echo "# Packing..."
-	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
