## openboard 1.6.4+dfsg

=== debian/changelog ===
openboard (1.6.4+dfsg-1build8) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:02:35 +1100

openboard (1.6.4+dfsg-1build7) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:08:05 +0000

openboard (1.6.4+dfsg-1build6) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:22:56 +0000

openboard (1.6.4+dfsg-1build5) noble; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 18:11:36 -0500

openboard (1.6.4+dfsg-1build4) noble; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Dec 2023 08:12:15 -0500

openboard (1.6.4+dfsg-1build3) mantic; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 05:19:39 -0400

openboard (1.6.4+dfsg-1build2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:58:54 +0200

openboard (1.6.4+dfsg-1build1) lunar; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Dec 2022 08:40:51 -0500

openboard (1.6.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Support building against POPPLER 22.03. (Closes: #1012809).
  * debian/{copyright,rules}:
    + No need to remove files from src/qtsingleapplication/, replaced by
      src/singleapplication/ (different code base).
  * debian/patches:
    + Manually rebase 1009_various-typo-fixes.patch.ß
    + Cherry-pick 0001_ffmpeg-5.patch from upstream. (Closes: #1004764).
    + Update 1009_various-typo-fixes.patch. One more typo spotted to be fixed.
  * debian/{rules,watch}:
    + Adjust to new +dfsg suffix in upstream version.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/patches:
    + Drop patches 2009 (credits for addon code, too hard to maintain between
      upstream releases) and 1006 (already commented out in previous version,
      problem solved upstream).
    + More or less trivially rebase other patches.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/openboard-common.lintian-overrides:
    + Update tag syntax.
  * debian/source/lintian-overrides:
    + Add file. Mark source-is-missing for GraphMe.wgt/Guide_Utilisateur.html
      as false positive.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Oct 2022 13:56:57 +0200
