=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openboard
 Section: x11
 Priority: optional
-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cdbs,
@@ -48,7 +49,7 @@
                qttools5-dev-tools,
                qttools5-private-dev,
                zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/openboard.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/openboard
