=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
 PKG   = $(DEB_SOURCE)
 UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
-DTYPE = +dfsg2
+DTYPE = +dfsg
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 include /usr/share/dpkg/architecture.mk
@@ -152,13 +152,6 @@
 	    \
 	    resources/library/search/Data\ AbulEdu.wgs/scripts/jquery-1.6.2.min.js \
 	    \
-	    src/qtsingleapplication/configure \
-	    src/qtsingleapplication/configure.bat \
-	    src/qtsingleapplication/INSTALL.txt \
-	    src/qtsingleapplication/README.txt \
-	    src/qtsingleapplication/doc/ \
-	    src/qtsingleapplication/examples/ \
-	    \
 	    $(NULL)
 	cd $(PKG)-$(VER) \
 	    && mkdir -p resources/customizations/fonts/ \
@@ -170,3 +163,9 @@
 	    echo -e "#!/bin/bash\n" > ../../fix-library-foldernames-with-blanks.sh && \
 	    find . -type d -name "* *" | while read dir; do \
 	        mv "$$dir" "$${dir//\ /_}"; \
+	        echo "mv \"$${dir//\ /_}\" \"$$dir\"" >> ../../fix-library-foldernames-with-blanks.sh; \
+	        chmod a+x ../../fix-library-foldernames-with-blanks.sh; \
+	    done
+	$(RM) -v $(PKG)_$(VER).orig.tar.*
+	@echo "# Packing..."
+	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
