## openboard 1.7.3%2Bdfsg

=== debian/changelog ===
openboard (1.7.3+dfsg-0.1build1) plucky; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Mar 2025 09:24:42 -0500

openboard (1.7.3+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #1072442, #1074331, #1080949)
  * Build with cmake.
  * Build with QtWebengine instead of QtWebkit.
  * Build with C++20. (Closes: #1074332).
  * Install upstream desktop file.
  * Drop unnecessary repack rules.
  * Drop empty package openboard-contrib.

  [ Zixing Liu ]
  * Migrate to debhelper and remove CDBS
    - debian/rules:
      + Move file filtering to d/copyright.
      + Move to debhelper qmake build template.
      + Use find ... exec to avoid two while ... read structures.
    - debian/openboard.install:
      + Add /usr/share/icons/hicolor folder for installation.

 -- Bastian Germann <bage@debian.org>  Sat, 08 Feb 2025 09:22:24 +0000
